Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface UserBranchType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  UserBranchTypeImpl

    public interface UserBranchType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'User Branch Type'.

The following features are supported:

- `User Filter`
- `Postal Address Filter`
- `Telephone Number Filter`
- `Email Address Filter`
- `Organization Query`

See Also:
  `QueryPackage.getUserBranchType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getEmailAddressFilter()` Returns the value of the 'Email Address Filter' containment reference list.
`OrganizationQueryType` | `getOrganizationQuery()` Returns the value of the 'Organization Query' containment reference.
`FilterType` | `getPostalAddressFilter()` Returns the value of the 'Postal Address Filter' containment reference.
`org.eclipse.emf.common.util.EList` | `getTelephoneNumberFilter()` Returns the value of the 'Telephone Number Filter' containment reference list.
`FilterType` | `getUserFilter()` Returns the value of the 'User Filter' containment reference.
`void` | `setOrganizationQuery(OrganizationQueryType value)` Sets the value of the '`Organization Query`' containment reference.
`void` | `setPostalAddressFilter(FilterType value)` Sets the value of the '`Postal Address Filter`' containment reference.
`void` | `setUserFilter(FilterType value)` Sets the value of the '`User Filter`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getUserFilter

    FilterType getUserFilter()

  Returns the value of the 'User Filter' containment reference.

  If the meaning of the 'User Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User Filter' containment reference.
  See Also:
    `setUserFilter(FilterType)`, `QueryPackage.getUserBranchType_UserFilter()`

### setUserFilter

    void setUserFilter(FilterType value)

  Sets the value of the '`User Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'User Filter' containment reference.
  See Also:
    `getUserFilter()`

### getPostalAddressFilter

    FilterType getPostalAddressFilter()

  Returns the value of the 'Postal Address Filter' containment reference.

  If the meaning of the 'Postal Address Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Postal Address Filter' containment reference.
  See Also:
    `setPostalAddressFilter(FilterType)`, `QueryPackage.getUserBranchType_PostalAddressFilter()`

### setPostalAddressFilter

    void setPostalAddressFilter(FilterType value)

  Sets the value of the '`Postal Address Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Postal Address Filter' containment reference.
  See Also:
    `getPostalAddressFilter()`

### getTelephoneNumberFilter

    org.eclipse.emf.common.util.EList getTelephoneNumberFilter()

  Returns the value of the 'Telephone Number Filter' containment reference list. The list contents are of type `FilterType`.

  If the meaning of the 'Telephone Number Filter' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Telephone Number Filter' containment reference list.
  See Also:
    `QueryPackage.getUserBranchType_TelephoneNumberFilter()`

### getEmailAddressFilter

    org.eclipse.emf.common.util.EList getEmailAddressFilter()

  Returns the value of the 'Email Address Filter' containment reference list. The list contents are of type `FilterType`.

  If the meaning of the 'Email Address Filter' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Email Address Filter' containment reference list.
  See Also:
    `QueryPackage.getUserBranchType_EmailAddressFilter()`

### getOrganizationQuery

    OrganizationQueryType getOrganizationQuery()

  Returns the value of the 'Organization Query' containment reference.

  If the meaning of the 'Organization Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Organization Query' containment reference.
  See Also:
    `setOrganizationQuery(OrganizationQueryType)`, `QueryPackage.getUserBranchType_OrganizationQuery()`

### setOrganizationQuery

    void setOrganizationQuery(OrganizationQueryType value)

  Sets the value of the '`Organization Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Organization Query' containment reference.
  See Also:
    `getOrganizationQuery()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD